package com.bipt.intelligentapplicationorchestrationservice.mapper;

import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetEntity;
import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetPageQueryDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetVO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.*;

import java.util.List;
import java.util.Map;

@Mapper
public interface DatasetMapper {

    void updata(DatasetEntity datasetEntity);

    void insert(DatasetEntity datasetEntity);

    Page<DatasetVO> pageQuery(DatasetPageQueryDTO dataSetPageQueryDTO);

    @Select("select * from dataset where dataset_id=#{datasetId}")
    DatasetEntity getById(Integer datasetId);
    @Delete("delete from dataset where dataset_id = #{datasetId}")
    void deleteBatch(List<Integer> datasetIds);
}
