package com.bipt.intelligentapplicationorchestrationservice.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;
/**
 * @author ：nh
 * @description：模型版本信息实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ModelVersion implements Serializable {
    private Long id;                // 版本信息表id
    private Long modelId;           // 关联模型id
    private String version;         // 模型版本
    private Integer datasetId;      // 数据集id
    private String modelConfig;     // 模型配置信息
    private String modelPath;       // 模型存储路径
    private Integer status;         // 模型状态（1代表上线，0代表不上线）
    private LocalDateTime createTime; // 创建时间

}
